Package: groovy.xml.slurpersupport

## [Java] Class NamespaceAwareHashMap

- groovy.xml.slurpersupport.NamespaceAwareHashMap

-     public class NamespaceAwareHashMap
      extends HashMap

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `containsKey(Object key)`
    `` | `public String` | `get(Object key)`
    `` | `public Map` | `getNamespaceTagHints()`
    `` | `public String` | `put(String key, String value)`
    `` | `public void` | `putAll(Map<? extends String, ? extends String> m)`
    `` | `public String` | `remove(Object key)`
    `` | `public void` | `setNamespaceTagHints(Map namespaceTagHints)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getClass, getOrDefault, hashCode, isEmpty, keySet, merge, notify, notifyAll, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, toString, values, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public boolean containsKey(Object key)

    - #### @Override
      public String get(Object key)

    - #### public Map getNamespaceTagHints()

    - #### @Override
      public String put(String key, String value)

    - #### @Override
      public void putAll(Map<? extends String, ? extends String> m)

    - #### @Override
      public String remove(Object key)

    - #### public void setNamespaceTagHints(Map namespaceTagHints)